Bug 190535 - LowPerformance took 75844 ms.
LowPerformance took 75844 ms.
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Toolchain
6.x
All All
: P2 (vote)
: 7.2
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 20:51 UTC by Exceptions Reporter
Modified: 2012-06-09 04:34 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (76.18 KB, application/nps)
2010-09-22 20:51 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-09-22 20:51:43 UTC
Build: NetBeans IDE 6.9 (Build 201006101454)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Windows XP
Maximum slowness yet reported was 75844 ms, average is 39515
Comment 1 Exceptions Reporter 2010-09-22 20:51:56 UTC
Created attachment 102124 [details]
nps snapshot
Comment 2 Theofanis Oikonomou 2012-06-04 12:04:58 UTC
From the attached snapshots it looks like a problem in org.netbeans.modules.cnd.toolchain.ui.options.ToolsCacheManagerImpl.clear()
Comment 3 Leonid Lenyashin 2012-06-04 12:33:10 UTC
75s, performance issue. Upgrading to P2 until further evaluation.
Comment 4 Alexander Simon 2012-06-06 13:57:26 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/e22b6ba8e573
Comment 5 Quality Engineering 2012-06-09 04:34:24 UTC
Integrated into 'main-golden', will be available in build *201206090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e22b6ba8e573
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #190535 LowPerformance took 75844 ms


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo